#/bin/sh

help() {
    echo "Syntaxe"
    echo "‾‾‾‾‾‾‾"
    echo "sh $0 [ adresse ] [ tablename ]\n"
}

if [ "$1" ]
then
    address=$1
fi
if [ "$2" ]
then
    tablename=$2
fi

. ./config.sh
. ./dep/address.sh
. ./dep/tablename.sh

. ./tools/title.sh
echo "List entries from table $tablename"
result=`curl --header "Content-Type: application/json" -b cookie.txt $address/api.php/records/$tablename 2>/dev/null`
sh tools/show_result.sh $result
echo "\n"
